
<div class="p-4 bg-white">
  <form style="display: flex;justify-content: space-between">
    <mat-form-field style="width: 50%">
      <mat-label>Recherche</mat-label>
      <input matInput >
    </mat-form-field>
    <div>
      <button mat-button color="primary"  [routerLink]="'/back-office/sous-traitant/create'">
        <mat-icon>add</mat-icon>
        Ajouter un sous traitant
      </button>
    </div>

  </form>
  <table mat-table [dataSource]="dataSource">

    <ng-container matColumnDef="nom">
      <th mat-header-cell *matHeaderCellDef> Nom </th>
      <td mat-cell *matCellDef="let element"> {{element.nom}} </td>
    </ng-container>

    <ng-container matColumnDef="prenom">
      <th mat-header-cell *matHeaderCellDef> Prénom </th>
      <td mat-cell *matCellDef="let element"> {{element.prenom}} </td>
    </ng-container>

    <ng-container matColumnDef="siret">
      <th mat-header-cell *matHeaderCellDef> Numéro SIRET </th>
      <td mat-cell *matCellDef="let element"> {{element.siret}} </td>
    </ng-container>

    <ng-container matColumnDef="actions">
      <th mat-header-cell *matHeaderCellDef>  </th>
      <td mat-cell *matCellDef="let element">
        <button mat-icon-button (click)="''">
          <mat-icon>create</mat-icon>
        </button>
        <button mat-icon-button (click)="''">
          <mat-icon>delete</mat-icon>
        </button>
      </td>
    </ng-container>


    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>

</div>
